Skip to main content
GET
/
v3
/
models
List models
curl --request GET \
  --url https://{host}/v3/models \
  --header 'Authorization: Bearer <token>'
{
  "api_version": "3.0",
  "kind": "PAGINATED",
  "data": {
    "page_size": 10,
    "item_count": 10,
    "total": 100,
    "page_count": 10,
    "page_index": 1,
    "offset": 0,
    "items": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "version": "v1",
        "organization": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>"
        },
        "project": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>"
        },
        "deleted_at": "2023-11-07T05:31:56Z",
        "algorithm": "<string>",
        "framework": "<string>",
        "created_by": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "email": "jsmith@example.com",
          "full_name": "<string>"
        },
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "description": "<string>",
        "owner": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "email": "jsmith@example.com",
          "full_name": "<string>"
        },
        "deployment_date": "2023-11-07T05:31:56Z",
        "updated_by": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "email": "jsmith@example.com",
          "full_name": "<string>"
        }
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://handbook.fiddler.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

latest_only
boolean

Whether to send only latest version of each model or all version. False by default

project_id
string<uuid>

project id query parameter

filter
string

Allows you to filter by any field.

Allows you to search by any field.

ordering
string

Allows you to order results by any field. For desc order prefix field name with - and provide comman separated values for multiple fields

limit
integer

Limit for the pagination

offset
integer

Offset for the pagination

Response

List of models for provided query and filters

Response object for paginated API responses.

api_version
enum<string>
default:3.0

API version of the response.

Available options:
2.0,
3.0
kind
enum<string>
default:PAGINATED

Type of response, indicating a paginated response.

Available options:
PAGINATED
data
object